
Redmine - Defect #19602

Non-Reporter role cannot see issue list

2015-04-13 11:02 - Huynh Duy

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.6.5

Description

I have upgraded Redmine from 2.2.2 to 3.0.1. I do step by step as http://www.redmine.org/projects/redmine/wiki/RedmineUpgrade

guide. Everything is ok but when I login by my account (with role 'developer') I cannot see an issue list but I can see an issue detail.

Then I logout my developer account and login by another account  (role 'reporter'). In reporter-account I can see the issue list. I try to

assign new task to my developer account but it still doesn't work.

I have changed something such as: I copied 'reporter' role and set its to my developer-account, or changed my developer-account to

others role, but not anything changes except 'reporter' role, it's still not show the issue list.Finally I have changed my config to show

sql query, I execute this query and it return many data rows.

My environment

CentOS 6.6 (Final)

Environment:

Redmine version                3.0.1

Ruby version                   1.9.3

Rails version                  4.2.0

Environment                    production

Database adapter               SQLite

Subversion                     2.2.2

Redmine plugins:

redmine_better_gantt_chart

redmine_mentions

redmine_flowdocks

Related issues:

Related to Redmine - Defect #20206: Members w/o view issues permission are ab... Closed

History

#1 - 2015-04-13 11:07 - Huynh Duy

I have upgraded Redmine from 2.2.2 to 3.0.1. I do step by step as http://www.redmine.org/projects/redmine/wiki/RedmineUpgrade guide. Everything

is ok but when I login by my account (with role 'developer') I cannot see an issue list but I can see an issue detail.

 Screenshot 2015-04-13 15.25.06.png 

 Screenshot 2015-04-13 15.25.26.png 

 Screenshot 2015-04-13 15.25.58.png 

Then I logout my developer account and login by another account (role 'reporter'). In reporter-account I can see the issue list. I try to assign new task

to my developer account but it still doesn't work.

 Screenshot 2015-04-13 15.24.12.png 

 Screenshot 2015-04-13 15.24.39.png 

I have changed something such as: I copied 'reporter' role and set its to my developer-account, or changed my developer-account to others role, but

not anything changes except 'reporter' role, it's still not show the issue list.Finally I have changed my config to show sql query, I execute this query

and it return many data rows.

My environment

CentOS 6.6 (Final)

Environment:

Redmine version 3.0.1

Ruby version 1.9.3

Rails version 4.2.0

Environment production

Database adapter SQLite

Subversion 2.2.2
 Redmine plugins:

redmine_better_gantt_chart

redmine_mentions

redmine_flowdocks

 

#2 - 2015-05-10 14:33 - Toshi MARUYAMA

- Status changed from New to Needs feedback

- Priority changed from Urgent to Normal

You use Redmine 3 incompatible plugins.

Try without plugins.

#3 - 2015-05-26 08:57 - Jayen Ashar

here's what we've tried in redmine 3:

changing the 'developer' role's permissions to match the 'reporter' role's permissions (through the admin web interface)

changing the 'developer' role's workflows to match the 'reporter' role's workflows (through the admin web interface)

removing all plugins

changing the 'developer' role's permissions to match the 'reporter' role's permissions (with sql (move_issues was still there from an old redmine))

copying the 'reporter' role to a new role (users with the new role can't list issues)

we've just tried redmine 2.6.5 with no plugins and have the same issue.  we'll see if we can pinpoint exactly which version we start having problems

with.

#4 - 2015-06-24 14:58 - Toshi MARUYAMA

- Status changed from Needs feedback to New

#5 - 2015-06-24 14:59 - Toshi MARUYAMA

- Target version set to 2.6.6

- Affected version changed from 3.0.1 to 2.6.5

#6 - 2015-06-29 18:30 - Jean-Philippe Lang

- Assignee set to Toshi MARUYAMA

Toshi, were you able to reproduce ? I'm not.

#7 - 2015-06-30 06:41 - Toshi MARUYAMA

- Status changed from New to Needs feedback

- Assignee deleted (Toshi MARUYAMA)

- Target version deleted (2.6.6)

In 2.6.5 I enabled only "Move issues" on "Issue tracking" role,

I cannot reproduce.

But, I found another issue (#20206).

#8 - 2015-07-25 12:39 - Toshi MARUYAMA

- Related to Defect #20206: Members w/o view issues permission are able to list issues on public projects if the non member role has the permission

added
